local Util = require("common.Util")
local OneKillGiftLogic = require("present.OneKillGift")
local WarOrder = require("shop.WarOrder")
local UnlimitDrawLogic = require("drawCard.UnlimitDrawLogic")

function onZero()
    OneKillGiftLogic.onZero()
end

function onLogin(human)
    OneKillGiftLogic.onLogin(human)
    UnlimitDrawLogic.onLogin(human)
end

function LvChange(human, nOldeLv, nNewLv)
    if nOldeLv >= nNewLv then
        return
    end

    local nCnt = nNewLv - nOldeLv
    WarOrder.trigger(human, 6, nCnt) -- 等级战令

    UnlimitDrawLogic.onLvUp(human, nNewLv)
end